Update auf 4.0.1 bricht ab

german

#1

Die momentan installierte Version ist 4.0-0 errata142

Jeglicher Updqate-Versuch bricht mit einer Fehlermeldung ab:

[code]10.08.15 16:02:14.357 DEBUG_INIT
**** Starting univention-updater with parameter=[’/usr/share/univention-updater/univention-updater’, ‘net’, ‘–updateto’, ‘4.0-2’, ‘–ignoressh’, ‘–ignoreterm’]
Version=4.0
Patchlevel=0
starting net mode
—>DBG:update_available(mode=net, cdrom_mount_point=/cdrom, iso=None)
Checking network repository
Update to = 4.0-1
**** Downloading scripts at Mon Aug 10 16:02:17 2015
**** Starting actual update at Mon Aug 10 16:02:18 2015
Running preup.sh script
Mon Aug 10 16:02:18 CEST 2015

HINT:
Please check the release notes carefully BEFORE updating to UCS 4.0-1:
English version: http://docs.univention.de/release-notes-4.0-1-en.html
German version: http://docs.univention.de/release-notes-4.0-1-de.html

Please also consider documents of following release updates and
3rd party components.

Do you want to continue [Y/n]?
Custom preupdate script /var/lib/local-preup.sh not found
Checking for space on /var/cache/apt/archives: OK
Checking for space on /boot: OK
Checking for space on /: OK
Checking for package status:
failed
ERROR: The package state on this system is inconsistent.
Please run ‘dpkg --configure -a’ manually
Error: Update aborted by pre-update script of release 4.0-1
[/code]

dpkg --configure -a ergibt:

postgresql-9.1 (9.1.15-0.7.201503031519) wird eingerichtet ...
[....] Starting PostgreSQL 9.1 database server: main[....] Error: Port conflict:[FAILher instance is already running on /var/run/postgresql with port 5432 ... failed!
 failed!
invoke-rc.d: initscript postgresql, action "start" failed.
dpkg: Fehler beim Bearbeiten von postgresql-9.1 (--configure):
 Unterprozess installiertes post-installation-Skript gab den Fehlerwert 1 zurück
Fehler traten auf beim Bearbeiten von:
 postgresql-9.1

Ein Neustart des Servers ändert nichts.

Die Lösung unter Update von UCS 3.2-3 auf 3.2-4 bricht ab funktioniert auch nicht.

Am System wurde Zarafa installiert und Nagios und Bacula eingerichtet. Sonst absolut unverändert und läuft seit Jahresanfang fehlerfrei.
Kann mir jemand bitte weiterhelfen?


#2

Hallo,

da hat sich wohl ein postgresql-Prozess festgefressen und verpennt das Update:

[quote=“Ener”]

postgresql-9.1 (9.1.15-0.7.201503031519) wird eingerichtet ... [....] Starting PostgreSQL 9.1 database server: main[....] Error: Port conflict:[FAILher instance is already running on /var/run/postgresql with port 5432 ... failed! failed! invoke-rc.d: initscript postgresql, action "start" failed. [/quote]
Den musst du irgendwie überreden sich zu beenden. Erstmal prüfen, ob da wirklich ein Prozess läuft:

ps aux | grep postgresql | grep -v grep

Du solltest dann eine Zeile mit einem Postgresql-Prozess als Ausgabe erhalten. Bitte die Prozess-ID merken (zweite Spalte).
Erster Versuch den Daemon regulär zu beenden:

/etc/init.d/postgresql stop

Dann nochmal mit dem ersten Befehl prüfen - ist der Prozess noch da? Wenn ja, dann probier bitte:

kill <Prozess-ID>

bitte mit deiner Prozess-ID von oben ersetzen.
Dann nochmal mit dem ersten Befehl prüfen - ist der Prozess immernoch da? Dann etwas rabiater Vorgehen:

kill -9 <Prozess-ID>

Dann nochmal mit dem ersten Befehl prüfen.
Sobald der Prozess nicht mehr auftaucht, dürfte ein

dpkg --configure -a

keine Fehler mehr zeigen.


#3

Danke sehr, Fehler behoben.

Super Antwort, mit allen Eventualitäten und auf einfachstem Niveau!